Skip to main content

Delete a chat of the authenticated user

DELETE/v2/aissistant-chats/{chatId}
API version
v2
Request method
DELETE
Operation ID
aissistant-delete-chat

Request​

  • chatIdstring (uuid)required

    The chat's AG-UI threadId, a UUID the client creates.

    Example:"7f0c6a52-3a8e-4b8f-9d1e-2c4b5a6d7e8f"

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/aissistant-chats/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.aissistant.deleteChat({
"chatId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\AIssistant\DeleteChat\DeleteChatRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeleteChatRequest(
chatId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->aissistant()->deleteChat($request);

var_dump($response->getBody();

On this page